Forum |  HardWare.fr | News | Articles | PC | Prix | S'identifier | S'inscrire | Shop Recherche
1988 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  Divers

  Probleme avec Java 6 update 11

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

Probleme avec Java 6 update 11

n°1101558
Cr24
Posté le 03-01-2009 à 12:16:26  profilanswer
 

Bonjour,
Donc voila j'ai Ubuntu 8.04.1 et j'ai voulu installer la nouvelle version de java qui est la 6 update 11
Ben pourtant s'a n'a pas marché :
Alors j'ai fait comme ceci:
j'ai téléchargé le paquet jre-6u11-linux-i586.bin sur le site de Java
puis après:
 
Sudo Mkdir /usr/local/java
J'ai déplacer le paquet dans ce répertoire
 
Puis cd/usr/local/java
puis j'ai fait sudo chmod u+x jre-6u11-linux-i586.bin
 
puis sudo . /jre-6u11-linux-i586.bin
 
Puis il faut mettre en place un lien symbolique dans les plugins de mozilla
 
cd/usr/lib/mozilla/plugins
ln -s /usr/local/java/jre1.6.0_11/plugin/i386/ns7/libjavaplugin_oj­i.so .
 
 
aprés je vais sur le site http://www.java.com/fr/download/help/testvm.xml
 
 
Surprise plus de Java (rien du tout)
 
 
 
En gros s'il vous plait donc la j'ai réinstaller java 6 mais aussi le plugin pour firefox mais plus ancien
 
Je vous demande de m'expliquer comment faire pour avoir java 6 update 11et de configurer après le plugin pour Mozila Firefox.
(bien expliqué de préférence,je le dis dès le début sa évite de reécrire son message pour un débutant de linux:/)
 
Merci d'avance....
 

mood
Publicité
Posté le 03-01-2009 à 12:16:26  profilanswer
 

n°1101598
Ricco
Retour au pays
Posté le 03-01-2009 à 16:30:34  profilanswer
 

T'as essayé de desinstaller le java fournit par ubuntu avant ?


---------------
"L'informatique n'est pas plus la science des ordinateurs que l'astronomie n'est celle des télescopes." Michael R. Fellows & Ian Parberry
n°1101607
Cr24
Posté le 03-01-2009 à 16:59:38  profilanswer
 

le truc c'est que j'avais Java 5 je l'ai désinstaller puis j'ai installé java 6 mais le truc c'est que je pense que le probleme vient du plugin mozilla  
car quand je teste ma machine il me dit que j'ai la version 6 update 7 et moi sur mon ordi j'ai installé la version 6 mais si on regarde le nom du plugin de mozilla il s'intitule  
Java(Tm) Plug-in 1.6.0_07-b06 et je pense que 6 correspond a java 6 et 0_07 a update 7
 
Merci de m'expliquer et de trouver une solution

n°1101608
Ricco
Retour au pays
Posté le 03-01-2009 à 17:03:52  profilanswer
 

Bein je comprends pas trop la 6.0_07 correspond à java 6u7 ....  
 
Et toi tu voudrais la 6u11 ? Des raisons particulières ?


---------------
"L'informatique n'est pas plus la science des ordinateurs que l'astronomie n'est celle des télescopes." Michael R. Fellows & Ian Parberry
n°1101626
Cr24
Posté le 03-01-2009 à 18:37:25  profilanswer
 

Oui car sur certains sites(ils n'y a pas encore beucoup) mais je ne voit rien et on me demande de mettre a jour mon Java.
 
 
En fait je te réexplique j'ai installé sun java 6 par Ajout-Supprimer
Mais quand je fait un test on me dit que j'ai la version java 6upadte7(ou 6u7)
et pourtant j'ai installé le 6 tout court mais en regardant les plugins je trouve 1.6.0_007 se qui correspond a mon avis a la version 6update 7  
et je voudrait la 6u11 et je pense que cela vient du plugin de mozilla il faudrait que ça soit le 1.6.0_11.
 
Mais bon je pense que c'est le plugin mais je ne suis pas sur!!!!

n°1101648
Cr24
Posté le 03-01-2009 à 19:53:56  profilanswer
 

J'ai fait un test là:http://java.com/fr/download/help/testvm.xml
et voila ce qu'il me disent:
J'uitilise une ancienne version de Java la 6update 7
et je suis allé sur More information et ils disent:
Java version: 1.6.0_07

n°1101654
Mjules
Modérateur
Parle dans le vide
Posté le 03-01-2009 à 20:05:53  profilanswer
 

je ne comprend rien à ton histoire.  
 
tu as supprimé ou non la v1.6.0_07 ? si oui, comment avait elle été installée ? comment l'as tu supprimée ?
 
si tu fais un locate libjavaplugin_oj­i.so, il te sort quoi ?


---------------
Celui qui pose une question est idiot 5 minutes. Celui qui n'en pose pas le reste toute sa vie. |  Membre du grand complot pharmaceutico-médico-scientifico-judéo-maçonnique.
n°1101663
sircam
I Like Trains
Posté le 03-01-2009 à 20:31:30  profilanswer
 

Je comprends pas grand chose non plus, ni pq tu veux absolument la 6u11.
 
Si tu utilises Synaptic, installer sun-java-jre et sun-java-plugin (de mémoire) devrait faire l'affaire. Le JRE6 update 10 ne devrait pas t'empêcher de naviguer.
 
mjules : perso, j'ai rien avec ton locate... Par contre locate libjavaplugin.so revoie qq chose. :/


---------------
Now Playing: {SYNTAX ERROR AT LINE 1210}
n°1101731
Cr24
Posté le 04-01-2009 à 11:17:14  profilanswer
 

Bon je réexplique je veux le Java 6u11 pour certains sites  
De plus je reprend a zéro:
J'avait Java 5 +son plugin puis je l'est désinstaller et dans Ajouter/Supprimer
j'ai installé Sun java 6 avec le plugin qu'ils conseillent pour mozilla  
Je vais sur le site de test java (http://www.java.com/fr/download/help/testvm.xml )
et ils me disent que j'ai la version 6 update 7(ou 6u7) de Java  
C'est bizare vu que j'ai installé la version 6 tout court + le plugin(mais si on regarde mieux le plugin dans mozilla firefox on remarque qu'il se nomme
Java(Tm) Plug-in 1.6.0_07 alors je me demande quand sur le site on me conseille d'installer Java 6 update 11 sa ne serait pas le plugin de mozilla qu'il faudrait changer pour qu'il devienne 1.6.0_11.Vous en pensez quoi?C'est par rapport au plugin?et avec synaptic il n'y a que la version 6 update 7.
 
 
Eu,..... sircam je voit pas de quoi tu veu parler avec mon locate??????
Pouvez-vous m'aidez a comprendre ce truc de java 6 update11? et comment l'installer surtout!!!

n°1101735
sircam
I Like Trains
Posté le 04-01-2009 à 11:49:44  profilanswer
 

Cr24 a écrit :

Bon je réexplique je veux le Java 6u11 pour certains sites  


1° Bon, je repose la question : pq 6u10 ne ferait-elle pas l'affaire (facile à installer dans Ubuntu).
 
2° Accessoirement, pq la 6u7 ne ferait pas l'affaire?
 
3° Subsidiairement, peux-tu nous montrer un site qui demande explicitement d'avoir au moins la 6u11 et sur lequel la 6u7 ne suffirait pas?
 

Cr24 a écrit :

Pouvez-vous m'aidez a comprendre ce truc de java 6 update11? et comment l'installer surtout!!!


4° As-tu essayé calmement, depuis Synatpic?


---------------
Now Playing: {SYNTAX ERROR AT LINE 1210}
mood
Publicité
Posté le 04-01-2009 à 11:49:44  profilanswer
 

n°1101820
Cr24
Posté le 04-01-2009 à 18:00:16  profilanswer
 

Je ne me rapelle plus du site j'ai fait une recherche et je ne voyait pas certaines animations sur le site.Au pire c'est pas grave mais si je n'arrive pas a mettre la nouvelle version de Java bientôt il me l'a faudra vraiment car tout les ites l'utiliseront non?
(De plus la version 6u11 est plus sécurisée)
et comment installer la 6u10 sinon?
Depuis synaptic j'ai la version 6u7

n°1101822
Ricco
Retour au pays
Posté le 04-01-2009 à 18:16:55  profilanswer
 

Fait confiance à ubuntu pour mettre à jour les gros pblm de sécurité. La 6u10 semble être dispo pour la ubuntu 8.10, c'est ce que j'ai en tout cas.  
Des update, il en sors tout les 2 ou 3 mois, pas de quoi s'affoler.


---------------
"L'informatique n'est pas plus la science des ordinateurs que l'astronomie n'est celle des télescopes." Michael R. Fellows & Ian Parberry
n°1102148
Cr24
Posté le 05-01-2009 à 18:32:35  profilanswer
 

donc d'après toi je devrais attendre?mais si tu sais comment instller ce fichu java 6u11 dis le mois quan meme?Pense tu que dans un moment on trouvera le java 6u11 dans Synaptic pour l'instant il n'y a que le 6u7

n°1102149
o'gure
Modérateur
Multi grognon de B_L
Posté le 05-01-2009 à 18:41:00  profilanswer
 

Cr24 a écrit :

.Au pire c'est pas grave mais si je n'arrive pas a mettre la nouvelle version de Java bientôt il me l'a faudra vraiment car tout les ites l'utiliseront non?


Quand il faudra absolument cette version comme tu le dis  pour pouvoir aller sur des sites "java", crois moi, cette version sera largement "dépassée", "has been", "arriérée" et bien de nouvelles version seront passées par les packages d'ubuntu... Si tu ne me crois pas regarde quelle version est réellement requise aujourd'hui et quelles versions sont généralement proposées dans les distributions dites "à jours"...

 

Les dev des distributionss'occupent de packager correctement les appli et les librairies de manière à ce que l'installation soit simple, cohérente et facilement maintenable. Une équipe dédiée s'occupe de faire les mises à jour de sécurité. Même si la version indiquée n'est pas la dernière, dans 98% des cas, les dev ont fait ce qu'il fallait pour fixer les problèmes de sécu.

 

Si tu n'as pas besoin d'une fonctionnalité non disponible dans le package, je ne vois pas pourquoi tu te prendrais la tête à vouloir l'installer "en dehors" du système prévu. Par la suite ça sera à toi de la mettre à jour régulièrement (et donc probablement te reprendre la tete), à toi de suivre les problématique de sécurité et à toi d'y pallier correctement.


Message édité par o'gure le 05-01-2009 à 18:54:30

---------------
Ton Antoine commence à me les briser menus !
n°1102150
o'gure
Modérateur
Multi grognon de B_L
Posté le 05-01-2009 à 18:43:25  profilanswer
 

Par ailleurs, à l'étape

cd/usr/lib/mozilla/plugins
ln -s /usr/local/java/jre1.6.0_11/plugin/i386/ns7/libjavaplugin_oj­i.so .


Si tu n'as pas fait de sudo ou si tu n'étais pas root au moment de passer ta commande, tu as dû avoir une erreur comme quoi tu n'avais pas les droits.

 

Vérifie ton lien dans ce répertoire et si tu tiens réellement à remplacer les packages faits par des professionnels par tes bidouilles, refait ton lien et re-vérifie.


Message édité par o'gure le 05-01-2009 à 18:53:11

---------------
Ton Antoine commence à me les briser menus !
n°1102472
Cr24
Posté le 06-01-2009 à 19:30:47  profilanswer
 

NOn sé bon merci le sujet est résolu j'attendrai  
Faut pas se presser dans lavie
Patience mes amis

n°1102483
anapivirtu​a
Boh.
Posté le 06-01-2009 à 19:52:06  profilanswer
 

ok.


---------------
Si vis pacem, para bellum.

Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  Divers

  Probleme avec Java 6 update 11

 

Sujets relatifs
probléme dans le formatage[Probléme] Cd oficiel ecran noire
problème de nas et utf8problème authentification courier-imap
Probleme de firmware a l'installation de linuxProblème de réactivité (ping)
[Grub] Problème de boot après suppression d'un disque IDE.UBUNTU 8.10 et probleme d'affichage
Problème avec du flash sous Ubuntu 
Plus de sujets relatifs à : Probleme avec Java 6 update 11


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR